Package com.arms.egovframework.javaservice.treeframework.excel

## Class ExcelUtilsBase

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.excel.ExcelUtilsBase

- Direct Known Subclasses:
    `ExcelUtilsXlsx`

      public abstract class ExcelUtilsBase
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExcelUtilsBase.SheetInfos` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.io.InputStream` | `inputStream` |
    `protected java.io.OutputStream` | `outputStream` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExcelUtilsBase​(java.io.InputStream inputStream)` |
    `ExcelUtilsBase​(java.io.OutputStream outputStream)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `close​(java.io.Closeable... itemsToClose)` |
    `<T> void` | `create​(java.util.List<java.util.List<?>> srcContent)` |
    `protected abstract org.apache.poi.ss.usermodel.Workbook` | `createBlankNewWorkbook()` |
    `protected abstract <T> void` | `fillWorkBook​(org.apache.poi.ss.usermodel.Workbook workbook, java.lang.String sheetName, java.util.List<CellTemplate> templateList, java.util.List<T> srcContent)` |
    `<T> int` | `getHeaderRowSize​(java.lang.Class<T> cls)` |
    `<T> java.lang.String` | `getHeaderTitleName​(java.lang.Class<T> cls)` |
    `<T> int` | `getHeaderTitleRowSize​(java.lang.Class<T> cls)` |
    `<T> int` | `getHeaderTotalRowSize​(java.lang.Class<T> cls)` |
    `protected abstract org.apache.poi.ss.usermodel.Workbook` | `getWorkbook()` |
    `<T> java.util.List<T>` | `read​(java.lang.Class<T> cls)` |
    `java.util.List<java.util.List<?>>` | `read​(java.util.List<java.lang.Class<?>> list)` |
    `void` | `skipExcelHeader​(java.util.Iterator<org.apache.poi.ss.usermodel.Row> rows)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputStream

          protected java.io.InputStream inputStream

    - #### outputStream

          protected java.io.OutputStream outputStream

  - ### Constructor Detail

    - #### ExcelUtilsBase

          public ExcelUtilsBase​(java.io.OutputStream outputStream)

    - #### ExcelUtilsBase

          public ExcelUtilsBase​(java.io.InputStream inputStream)

  - ### Method Detail

    - #### create

          public <T> void create​(java.util.List<java.util.List<?>> srcContent)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public <T> java.util.List<T> read​(java.lang.Class<T> cls)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### read

          public java.util.List<java.util.List<?>> read​(java.util.List<java.lang.Class<?>> list)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createBlankNewWorkbook

          protected abstract org.apache.poi.ss.usermodel.Workbook createBlankNewWorkbook()

    - #### getWorkbook

          protected abstract org.apache.poi.ss.usermodel.Workbook getWorkbook()
                                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### fillWorkBook

          protected abstract <T> void fillWorkBook​(org.apache.poi.ss.usermodel.Workbook workbook,
                                                   java.lang.String sheetName,
                                                   java.util.List<CellTemplate> templateList,
                                                   java.util.List<T> srcContent)
                                            throws java.lang.IllegalArgumentException,
                                                   java.lang.IllegalAccessException,
                                                   java.lang.ClassNotFoundException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.ClassNotFoundException`

    - #### skipExcelHeader

          public void skipExcelHeader​(java.util.Iterator<org.apache.poi.ss.usermodel.Row> rows)

    - #### getHeaderRowSize

          public <T> int getHeaderRowSize​(java.lang.Class<T> cls)

    - #### getHeaderTitleRowSize

          public <T> int getHeaderTitleRowSize​(java.lang.Class<T> cls)

    - #### getHeaderTitleName

          public <T> java.lang.String getHeaderTitleName​(java.lang.Class<T> cls)

    - #### getHeaderTotalRowSize

          public <T> int getHeaderTotalRowSize​(java.lang.Class<T> cls)

    - #### close

          protected void close​(java.io.Closeable... itemsToClose)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`